rules:
  # Bronze
  action-setup: done
  appropriate-polling:
    status: exempt
    comment: |
      This integration uses a push API. No polling required.
  brands: done
  common-modules: done
  config-flow: done
  config-flow-test-coverage:
    status: todo
    comment: |
      Coverage is 100%, but the tests need to be improved.
  dependency-transparency: done
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: done
    comment: |
      Currently we store created entities in hass.data. That should be removed in the future.
  entity-unique-id: done
  has-entity-name: todo
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions: todo
  config-entry-unloading: done
  docs-configuration-parameters: done
  docs-installation-parameters: done
  entity-unavailable: todo
  integration-owner: done
  log-when-unavailable: todo
  parallel-updates: todo
  reauthentication-flow:
    status: exempt
    comment: |
      This integration does not require authentication.
  test-coverage: todo
  # Gold
  devices: todo
  diagnostics: todo
  discovery: done
  discovery-update-info: done
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: done
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      This integration has a fixed single device.
  entity-category: done
  entity-device-class: todo
  entity-disabled-by-default: done
  entity-translations: todo
  exception-translations: todo
  icon-translations: todo
  reconfiguration-flow: done
  repair-issues: done
  stale-devices:
    status: exempt
    comment: |
      This integration has a fixed single device.

  # Platinum
  async-dependency: done
  inject-websession:
    status: exempt
    comment: |
      This integration is not making any HTTP requests.
  strict-typing:
    status: todo
    comment: |
      The library is not fully typed yet.
